#include "SDL.h"
#include "SDL_image.h"

extern SDL_Renderer* renderer;


SDL_Texture* FixedPrint_small_surface;
SDL_Texture* FixedPrint_mid_surface;
SDL_Texture* FixedPrint_big_surface;

SDL_Rect FixedPrint_small_lrect[256];
SDL_Rect FixedPrint_mid_lrect[256];
SDL_Rect FixedPrint_big_lrect[256];



/* XPM */
static char * small_terminal_xpm[] = {
"96 160 2 1",
" 	c #000000",
"+	c #FFFFFF",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"        +    + +   + +    +    +  +  +      ++     +   +                                      + ",
"        +    + +   + +   +++  + + + + +     +     +     +   +   +   +                         + ",
"        +    + +  +++++ + +    + +  + +    +     +       +   + +    +                        +  ",
"        +          + +   +++    +    +           +       +  +++++ +++++       +++++         +   ",
"        +         +++++   + +  + +  + + +        +       +   + +    +                      +    ",
"                   + +   +++  + + + +  +          +     +   +   +   +     ++          +   +     ",
"        +          + +    +   +  +   ++ +          +   +                  +          +++  +     ",
"                                                                         +            +         ",
"                                                                                                ",
"                                                                                                ",
"  +     +    +++  +++++    +  +++++   ++  +++++  +++   +++                  +        +     +++  ",
" + +   ++   +   +     +   ++  +      +        + +   + +   +   +     +      +          +   +   + ",
"+   + + +       +    +   + +  + ++  +        +  +   + +  ++  +++   +++    +   +++++    +     +  ",
"+   +   +     ++    ++  +  +  ++  + + ++     +   +++   ++ +   +     +    +              +   +   ",
"+   +   +    +        + +++++     + ++  +   +   +   +     +               +   +++++    +    +   ",
" + +    +   +     +   +    +  +   + +   +  +    +   +    +    +     ++     +          +         ",
"  +   +++++ +++++  +++     +   +++   +++   +     +++   ++    +++    +       +        +      +   ",
"                                                              +    +                            ",
"                                                                                                ",
"                                                                                                ",
" +++    +   ++++   +++  ++++  +++++ +++++  +++  +   +  +++    +++ +   + +     +   + +   +  +++  ",
"+   +  + +  +   + +   + +   + +     +     +   + +   +   +       + +  +  +     +   + +   + +   + ",
"+  ++ +   + +   + +     +   + +     +     +     +   +   +       + + +   +     ++ ++ ++  + +   + ",
"+ + + +   + ++++  +     +   + ++++  ++++  +     +++++   +       + ++    +     + + + + + + +   + ",
"+ ++  +++++ +   + +     +   + +     +     +  ++ +   +   +       + + +   +     +   + +  ++ +   + ",
"+     +   + +   + +   + +   + +     +     +   + +   +   +   +   + +  +  +     +   + +   + +   + ",
" +++  +   + ++++   +++  ++++  +++++ +      +++  +   +  +++   +++  +   + +++++ +   + +   +  +++  ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"++++   +++  ++++   +++  +++++ +   + +   + +   + +   + +   + +++++  +++  +      +++    +         ",
"+   + +   + +   + +   +   +   +   + +   + +   + +   + +   +     +  +    +        +   + +        ",
"+   + +   + +   + +       +   +   + +   + +   +  + +   + +     +   +     +       +  +   +       ",
"++++  +   + ++++   +++    +   +   +  + +  + + +   +     +     +    +      +      +              ",
"+     +   + + +       +   +   +   +  + +  + + +  + +    +    +     +       +     +              ",
"+     + + + +  +  +   +   +   +   +  + +  ++ ++ +   +   +   +      +        +    +              ",
"+      +++  +   +  +++    +    +++    +   +   + +   +   +   +++++  +++      +  +++              ",
"          +                                                                               ++++++",
"                                                                                                ",
"                                                                                                ",
" ++         +               +         ++        +       +      +  +      ++                     ",
"  +         +               +        +  +       +                 +       +                     ",
"   +   +++  + ++   +++   ++ +  +++   +     ++ + + ++   ++     ++  +   +   +   ++ +  + ++   +++  ",
"          + ++  + +   + +  ++ +   + ++++  +  +  ++  +   +      +  +  +    +   + + + ++  + +   + ",
"       ++++ +   + +     +   + +++++  +     ++   +   +   +      +  +++     +   + + + +   + +   + ",
"      +   + ++  + +   + +  ++ +      +    +     +   +   +      +  +  +    +   + + + +   + +   + ",
"       ++++ + ++   +++   ++ +  +++   +     +++  +   +  +++  +  +  +   +  +++  +   + +   +  +++  ",
"                                          +   +             +  +                                ",
"                                           +++               ++                                 ",
"                                                                                                ",
"                         +                                           ++   +    ++    +  +       ",
"                         +                                          +     +      +  + + +       ",
"+ ++   ++ + + ++   +++  ++++  +   + +   + +   + +   + +   + +++++    +    +     +   +  +        ",
"++  + +  ++ ++  + +      +    +   + +   + +   +  + +  +   +    +   ++     +      ++             ",
"++  + +  ++ +      +++   +    +   +  + +  + + +   +   +  ++   +      +    +     +               ",
"+ ++   ++ + +         +  +  + +  ++  + +  + + +  + +   ++ +  +      +     +      +              ",
"+         + +     ++++    ++   ++ +   +    + +  +   +     + +++++    ++   +    ++               ",
"+         +                                           +   +                                     ",
"+         +                                            +++                                      ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                ",
"                                                                                                "};


static char * mid_terminal_xpm[] = {
"128 208 2 1",
"       c #000000",
".      c #FFFFFF",
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"           .      .  .    . .      .          .  ...        ..     ..     ..                                                  . ", 
"           .      .  .    . .     ...    .    . .   .       .     .         .   .  .  .    .                                  . ", 
"           .      .  .    . .    . . .  . .  .   . .       .      .         .    . . .     .                                 .  ", 
"           .            .......  . .     .  .     .              .           .    ...      .                                .   ", 
"           .              . .     ...      .     . .             .           .  ....... .......         .......            .    ", 
"           .              . .      . .    .  .  .   . .          .           .    ...      .                              .     ", 
"           .            .......  . . .   .  . . .    .            .         .    . . .     .                             .      ", 
"                          . .     ...   .    .  .   . .           .         .   .  .  .    .       .               .    .       ", 
"           .              . .      .    .        ...               ..     ..                      ...             ...   .       ", 
"                                                                                                   ..              .            ", 
"                                                                                                   .                            ", 
"                                                                                                  .                             ", 
"                                                                                                                                ", 
"  ...       .    .....  ......  .     . .......  .....  .......  .....   ......                     .             .       ...   ", 
" .   .     ..   .     .       . .     . .       .             . .     . .     .    .       .       .               .     .   .  ", 
".     .   . .         .       . .     . .       .             . .     . .     .   ...     ...     .     ........    .   .     . ", 
".     .  .  .       ..        . .     . .       .             . .     . .     .    .       .     .                   .  .     . ", 
".  .  .     .      .      ....  ....... ......   .....       .   .....   ......                 .                     .     ..  ", 
".     .     .    ..           .       .       . .     .      .  .     .       .                  .                   .     .    ", 
".     .     .   .             .       .       . .     .     .   .     .       .                   .     ........    .      .    ", 
" .   .      .   .             .       . .     . .     .     .   .     .       .    .       .       .               .            ", 
"  ...   .......  ...... ......        .  .....   .....      .    .....        .   ...     ...       .             .        .    ", 
"                                                                                   .       ..                                   ", 
"                                                                                           .                                    ", 
"                                                                                          .                                     ", 
"                                                                                                                                ", 
"           .    ......   .....  ......  ....... .......  .....  .     . .......  ...... .     . .       .     . .     .  .....  ", 
"          . .   .     . .     . .     . .       .       .     . .     .    .        .   .     . .       ..   .. ..    . .     . ", 
"         .   .  .     . .       .     . .       .       .       .     .    .        .   .    .  .       ..   .. . .   . .     . ", 
"        .     . .     . .       .     . .       .       .       .     .    .        .   .   .   .       . . . . . .   . .     . ", 
"        ....... ......  .       .     . ....    ....    .       .......    .        .   ....    .       .  .  . .  .  . .     . ", 
"        .     . .     . .       .     . .       .       .   ... .     .    .        .   .   .   .       .  .  . .   . . .     . ", 
"        .     . .     . .       .     . .       .       .     . .     .    .        .   .    .  .       .     . .   . . .     . ", 
"        .     . .     . .     . .     . .       .       .     . .     .    .    .   .   .     . .       .     . .    .. .     . ", 
"        .     . ......   .....  ......  ....... .        .....  .     . .......  ...    .     . ....... .     . .     .  .....  ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"......   .....  ......   ...... ....... .     . .     . .     . .     . .     . .......  .....  .        .....     .            ", 
".     . .     . .     . .          .    .     . .     . .     . .     . .     .       .  .      .            .    . .           ", 
".     . .     . .     . .          .    .     . .     . .     .  .   .   .   .       .   .       .           .   .   .          ", 
".     . .     . .     . .          .    .     .  .   .  .     .   . .     . .       .    .        .          .  .     .         ", 
"......  .     . ......   .....     .    .     .  .   .  .     .    .       .       .     .         .         .                  ", 
".       .     . .   .         .    .    .     .  .   .   . . .    . .      .      .      .          .        .                  ", 
".       .  .  . .    .        .    .    .     .   . .    . . .   .   .     .     .       .           .       .                  ", 
".       .   . . .     .       .    .    .     .   . .     . .   .     .    .    .        .            .      .                  ", 
".        .....  .     . ......     .     .....     .      . .   .     .    .    .......  .....        .  .....                  ", 
"             ..                                                                                                         ........", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
" ..             .                     .             ..          .                        .        ..                            ", 
"  .             .                     .            .  .         .          .         .   .         .                            ", 
"   .            .                     .           .             .                        .    .    .                            ", 
"         .... . . ....   .....   .... .  .....    .      .....  . ...     ..        ..   .   .     .     .. ..   ....    .....  ", 
"        .    .. ..    . .     . .    .. .     .  ...    .     . ..   .     .         .   .  .      .    .  .  . .    .  .     . ", 
"        .     . .     . .       .     . .     .   .     .     . .     .    .         .   ...       .    .  .  . .     . .     . ", 
"        .     . .     . .       .     . ......    .     .     . .     .    .         .   .  .      .    .  .  . .     . .     . ", 
"        .    .. ..    . .     . .    .. .         .     .     . .     .    .         .   .   .     .    .     . .     . .     . ", 
"         .... . . ....   .....   .... .  .....    .      ...... .     .   ...        .   .    .   ...   .     . .     .  .....  ", 
"                                                              .                      .                                          ", 
"                                                         .    .                   .  .                                          ", 
"                                                          ....                     ..                                           ", 
"                                                                                                                                ", 
"                                                                                           ...     .     ...       .  .         ", 
"                                   .                                                      .        .        .     . . .         ", 
"                                   .                                                      .        .        .     . . .         ", 
". ....   .... . . ....   ......  .....  .     . .     . .     . ..   .. .     . .......    .       .       .      .  .          ", 
"..    . .    .. ..    . .          .    .     . .     . .     .   . .   .     .      ..  ..        .        ..                  ", 
".     . .     . .        ...       .    .     . .     .  . . .     .    .     .    ..      .       .       .                    ", 
".     . .     . .          ...     .    .     .  .   .   . . .     .     .    .   ..      .        .        .                   ", 
"..    . .    .. .             .    .  . .    ..   . .     . .     . .    .   .. ..        .        .        .                   ", 
". ....   .... . .       ......      ..   .... .    .      . .   ..   ..   ... . .......    ...     .     ...                    ", 
".             .                                                               .                                                 ", 
".             .                                                          .    .                                                 ", 
".             .                                                           ....                                                  ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                ", 
"                                                                                                                                "};








/* XPM */
static char * big_terminal_xpm[] = {
"160 256 2 1",
".	c #000000",
"+	c #FFFFFF",
"...........+.+.+.+.++.+.+.+.+..............+++........+......++...++......+...................+..................+++...........................++++......++++...",
".+.+.+.+..+.+.+.+.+..+.+.+.+.+............+++++......+++.....++...++......+..................+++........+........+++........+.........+.......+....+....+....+..",
".+++.+.+...+.+.+.+.++.+.+.+.+.............+++++......+++.....++...++......+.................+++++.......++.......+++.......++.........++.....+......+..+......+.",
".+++.+.+..+.+.+.+.+..+.+.+.+.+............+++++.....+++++...++++.++++....+++.....++..+.+...+++++++......+++......+++......+++.........++....+........++........+",
".+++.+.+...+.+.+.+.++.+.+.+.+..............+++......+++++...++++.++++....+++.....+.+.+.+..+++++++++.++++++++.....+++.....++++++++.++++++++..+.+....+.++.+....+.+",
".+.+..+...+.+.+.+.+..+.+.+.+.+.+............+......+++++++..+++++++++...+++++....++..++......+++....+++++++++.+++++++++.+++++++++.+++++++++.+........++........+",
"...........+.+.+.+.++.+.+.+.+.+.+..+++...++.+.++...+++++++..+++++++++...+++++....+.+.+.+.....+++....++++++++...+++++++...++++++++.++++++++..+........++........+",
"..........+.+.+.+.+..+.+.+.+.+....+...+.+++++++++.+++++++++.+++++++++..+++++++...++..+.+.....+++........+++.....+++++.....+++.........+++...+.+....+.++........+",
".+...+.....+.+.+.+.++.+.+.+.+.....+.....+++++++++.+++++++++..+++++++..+++++++++..............+++........++.......+++.......++.........++....+..+..+..++...++...+",
".+...+....+.+.+.+.+..+.+.+.+.+....+...+.+++++++++..+++++++...+++++++..+++++++++..............+++........+.........+.........+.........+.....+...++...++..+..+..+",
".+...+.....+.+.+.+.++.+.+.+.+......+++..+++++++++..+++++++....+++++...+++++++++...++.++......................................................+......+..+......+.",
".+...+....+.+.+.+.+..+.+.+.+.+...........++.+.++....+++++.....+++++...+++++++++..+...+.+......................................................+....+....+....+..",
".+++.+++...+.+.+.+.++.+.+.+.+...............+.......+++++......+++.....+++++++....+..++........................................................++++......++++...",
"..........+.+.+.+.+..+.+.+.+.+..............+........+++.......+++........+........+.+..........................................................................",
"...........+.+.+.+.++.+.+.+.+...............+........+++........+.........+......++..+..........................................................................",
"..........+.+.+.+.+..+.+.+.+.+.............+++........+.........+........+++....................................................................................",
"...++++......++++......++++......................................................++...++...++++++++++.+.+.+.+.+++++++++++++++++++++..................+++++++++++",
"..+....+....+....+....+....+....................................................++++.++++...........+.+.+.+.+.+++++++++++++++++++++..................+++++++++++",
".+......+..+......+..+......+...................................................++++.++++..++++++++++.+.+.+.+..++++++++++++++++++.++................++++++++++++",
"+........++........++........+..++++++..........................................++++.++++...........+.+.+.+.+...++++++++++++++++..+++..............+++++++++++++",
"+...++...++..++++..++..+..+..+.+......+.........................................++++.++++..++++++++++.+.+.+.+...++++++++++++++++..+++..............+++++++++++++",
"+..+.+...++..+.....++.++.+.+.++........+........................................++++.++++...........+.+.+.+.+....++++++++++++++...++++............++++++++++++++",
"+....+...++..+++...++..+.+.+.++........+.........................................++...++...++++++++++.+.+.+.+.....++++++++++++....+++++..........+++++++++++++++",
"+....+...++.....+..++..+.+.+.+++++++++++............................................................+.+.+.+.+.....++++++++++++....+++++..........+++++++++++++++",
"+..++++..++..+++...++..+..+..++...++...+.........................................++...++...++++++++++.+.+.+.+......++++++++++.....++++++........++++++++++++++++",
"+........++........++........++........+........................................++++.++++...........+.+.+.+.+......++++++++++.....++++++........++++++++++++++++",
".+......+..+......+..+......+.+........+........................................++++.++++..++++++++++.+.+.+.+.......++++++++......+++++++......+++++++++++++++++",
"..+....+....+....+....+....+..+........+........................................++++.++++...........+.+.+.+.+........++++++.......++++++++....++++++++++++++++++",
"...++++......++++......++++...++++++++++........................................++++.++++..++++++++++.+.+.+.+........++++++.......++++++++....++++++++++++++++++",
"................................................................................++++.++++...........+.+.+.+.+.........++++........+++++++++..+++++++++++++++++++",
".................................................................................++...++...++++++++++.+.+.+.+..........++.........++++++++++++++++++++++++++++++",
".......................................................................................................................++.........++++++++++++++++++++++++++++++",
"..............+.......++..++......+..+.......+.....+++..........+++.........++........+.....+................................................................+..",
"..............+.......++..++......+..+.......+....+...+........+...+.......++........+.......+..............................................................+...",
"..............+.......++..++......+..+.....+++++..+...+.......+....+......++........+.........+.....+...+...+...............................................+...",
"..............+.......+...+.......+..+....+..+..+.+...+.......+...+.................+.........+......+..+..+......+........................................+....",
"..............+................+++++++++..+..+.....+++...+....+.++.................+...........+......+.+.+.......+........................................+....",
"..............+..................+..+.....+..+.........++......+...................+...........+.......+++........+........................................+....",
"..............+..................+..+......+++.......++.......+.+..................+...........+....+++++++++..+++++++...............++++.................+.....",
"..............+..................+..+........+++...++........+...+..+..............+...........+.......+++........+.......................................+.....",
"..............+...............+++++++++......+..+......+++...+...+..+..............+...........+......+.+.+.......+......................................+......",
"................................+..+.........+..+.....+...+..+....+.+...............+.........+......+..+..+......+.........++...........................+......",
"................................+..+......+..+..+.....+...+..+.....+................+.........+.....+...+...+...............++..................++.......+......",
"..............+.................+..+.......+++++......+...+...+....+.................+.......+..............................++..................++......+.......",
"..............+.................+..+.........+.........+++.....++++.+.................+.....+..............................++...........................+.......",
".............................................+.............................................................................+...........................+........",
"................................................................................................................................................................",
"................................................................................................................................................................",
"...++++.......++.......++++.....+++++........++.....++++++.....+++++...++++++++....++++......++++........................................................+++....",
"..+....+.....+.+......+....+...+.....+......+.+.....+.........+.....+.........+...+....+....+....+......................................................+...+...",
"..+....+....+..+.....+......+.........+.....+.+.....+.........+...............+..+......+..+......+.............................+............+...............+..",
".+......+..+...+............+.........+....+..+.....+........+...............+...+......+..+......+.....++........++..........++..............++.............+..",
".+......+......+............+.........+....+..+.....+........+...............+...+......+..+......+.....++........++........++.....++++++++.....++..........+...",
".+..++..+......+............+........+....+...+.....+++++....+.++++.........+.....+....+...+......+.......................++......................++.......+....",
".+..++..+......+...........+.....++++.....+...+.....+....+...++....+........+......++++.....+....++......................+..........................+.....+.....",
".+..++..+......+..........+..........+...+....+...........+..+......+......+......+....+.....++++.+.......................++......................++......+.....",
".+......+......+.........+............+..+....+...........+..+......+......+.....+......+.........+.........................++.....++++++++.....++........+.....",
".+......+......+........+.............+..++++++++.........+..+......+.....+......+......+.........+.....++........++..........++..............++................",
"..+....+.......+.......+..............+.......+...........+..+......+.....+......+......+..+......+.....++........++............+............+..................",
"..+....+.......+......+........+.....+........+....+.....+....+....+.....+........+....+....+....+................+.......................................+.....",
"...++++.....+++++++..++++++++...+++++.........+.....+++++......++++......+.........++++......++++................+........................................+.....",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"..............++.....++++++.......++++...+++++.....++++++++..++++++++.....++++...+......+...+++++.......+++++..+......+..+.........++....++..++.....+....++++...",
"....+++......+..+....+.....+.....+....+..+....+....+.........+...........+....+..+......+.....+...........+....+.....+...+.........++....++..++.....+...+....+..",
"...+...+.....+..+....+......+...+........+.....+...+.........+..........+........+......+.....+...........+....+....+....+.........++....++..+++....+..+......+.",
"..+.....+...+....+...+......+..+.........+......+..+.........+.........+.........+......+.....+...........+....+...+.....+.........+.+..+.+..+.+....+..+......+.",
"..+..++.+...+....+...+......+..+.........+......+..+.........+.........+.........+......+.....+...........+....+..+......+.........+.+..+.+..+.++...+..+......+.",
".+..+..++..+......+..+.....+...+.........+......+..+.........+.........+.........+......+.....+...........+....+.+.......+.........+.+..+.+..+..+...+..+......+.",
".+..+...+..++++++++..++++++....+.........+......+..+++++.....+++++.....+.........++++++++.....+...........+....++.+......+.........+..++..+..+..++..+..+......+.",
".+..+...+..+......+..+.....+...+.........+......+..+.........+.........+....+++..+......+.....+...........+....+..+......+.........+..++..+..+...+..+..+......+.",
".+..+...+..+......+..+......+..+.........+......+..+.........+.........+......+..+......+.....+...........+....+...+.....+.........+..++..+..+...++.+..+......+.",
".+..+...+..+......+..+......+..+.........+......+..+.........+.........+......+..+......+.....+...........+....+....+....+.........+......+..+....+.+..+......+.",
".+..+...+..+......+..+......+...+........+.....+...+.........+..........+.....+..+......+.....+...........+....+....+....+.........+......+..+....+++..+......+.",
"..+..+++...+......+..+.....+.....+....+..+....+....+.........+...........+....+..+......+.....+......+...+.....+.....+...+.........+......+..+.....++...+....+..",
"..+........+......+..++++++.......++++...+++++.....++++++++..+............++++...+......+...+++++.....+++......+......+..++++++++..+......+..+.....++....++++...",
"...+............................................................................................................................................................",
"....++++........................................................................................................................................................",
"................................................................................................................................................................",
".++++++......++++....+++++.......++++...+++++++++..+......+..+.....+..+.......+..+......+.+.......+..++++++++.....+++....+...........+++........+++.............",
".+.....+....+....+...+....+.....+....+......+......+......+..+.....+..+.......+...+....+..+.......+.........+.....+.......+............+.......++.++............",
".+......+...+....+...+.....+...+............+......+......+..+.....+..+.......+...+....+...+.....+..........+.....+.......+............+......++...++...........",
".+......+..+......+..+.....+...+............+......+......+...+...+...+.......+....+..+.....+...+..........+......+........+...........+.....++.....++..........",
".+......+..+......+..+.....+...+............+......+......+...+...+....+..+..+.....+..+.....+...+.........+.......+........+...........+........................",
".+......+..+......+..+.....+...+............+......+......+...+...+....+..+..+......++.......+.+.........+........+.........+..........+........................",
".+.....+...+......+..+....+.....+++.........+......+......+...+...+....+..+..+......++.......+.+........++........+.........+..........+........................",
".++++++....+......+..+++++.........+++......+......+......+....+.+.....+..+..+......++........+.........+.........+.........+..........+........................",
".+.........+......+..+....+...........+.....+......+......+....+.+.....+.+.+.+.....+..+.......+........+..........+..........+.........+........................",
".+.........+......+..+.....+..........+.....+......+......+....+.+.....+.+.+.+.....+..+.......+.......+...........+..........+.........+........................",
".+..........+....+...+.....+...+......+.....+......+......+....+++.....+.+.+.+....+....+......+......+............+...........+........+........................",
".+..........+..+.+...+.....+...+.....+......+.......+....+......+.......+...+.....+....+......+......+............+...........+........+........................",
".+...........++++....+......+...+++++.......+........++++.......+.......+...+....+......+.....+......++++++++.....+............+.......+........................",
".................++...............................................................................................+++................+++........................",
".......................................................................................................................................................++++++++.",
"................................................................................................................................................................",
"..++............................................................................................................................................................",
"...++................+..........................+................+++.............+............+..........+.....+.........++++...................................",
"....++...............+..........................+...............+................+............+..........+.....+............+...................................",
".....................+..........................+...............+................+.............................+............+...................................",
".............++++....+.++++......++++......++++.+....++++.....++++++.....++++.+..+.++++.....+++........+++.....+....+.......+.......++++++...+.++++......++++...",
"............+....+...++....+....+....+....+....++...+....+......+.......+....++..++....+......+..........+.....+...+........+.......+..+..+..++....+....+....+..",
"..................+..+......+..+.........+......+..+......+.....+......+......+..+......+.....+..........+.....+..+.........+.......+..+..+..+......+..+......+.",
".............++++++..+......+..+.........+......+..+......+.....+......+......+..+......+.....+..........+.....+.+..........+.......+..+..+..+......+..+......+.",
"............+.....+..+......+..+.........+......+..++++++++.....+......+......+..+......+.....+..........+.....++.+.........+.......+..+..+..+......+..+......+.",
"...........+......+..+......+..+.........+......+..+............+......+......+..+......+.....+..........+.....+...+........+.......+..+..+..+......+..+......+.",
"...........+......+..+......+..+.........+......+..+............+.......+....++..+......+.....+..........+.....+....+.......+.......+..+..+..+......+..+......+.",
"...........+.....++..++....+....+....+....+....++...+.....+.....+........++++.+..+......+.....+..........+.....+.....+......+.......+..+..+..+......+...+....+..",
"............+++++.+..+.++++......++++......++++.+....+++++......+.............+..+......+..+++++++.......+.....+......+......+++....+..+..+..+......+....++++...",
"........................................................................+....+.......................+...+......................................................",
".........................................................................++++.........................+++.......................................................",
"................................................................................................................................................................",
"...................................................................................................................++.......+.......++..........................",
"...........................................+......................................................................+.........+.........+.........................",
"...........................................+......................................................................+.........+.........+.........................",
"...........................................+......................................................................+.........+.........+.........................",
".+.++++......++++.+....+.+++.....+++++...++++++....+......+..+......+.+.......+..+......+..+......+..++++++++.....+.........+.........+.........................",
".++....+....+....++....++...+...+.....+....+.......+......+...+....+..+.......+...+....+....+....+..........+.....+.........+.........+.........................",
".+......+..+......+....+.......+...........+.......+......+...+....+...+..+..+....+....+....+....+.........+......+.........+.........+.........................",
".+......+..+......+....+.......+...........+.......+......+...+....+...+..+..+.....+..+......+...+........+.....++..........+..........++.....+++...+...........",
".+......+..+......+....+........+++++......+.......+......+....+..+....+.+.+.+......++.......+..+.......++........+.........+.........+......+...+++............",
".+......+..+......+....+.............+.....+.......+......+....+..+....+.+.+.+.....+..+.......+.+......+..........+.........+.........+.........................",
".++....+....+....++....+..............+....+.......+......+....+..+....+.+.+.+....+....+......+.+.....+...........+.........+.........+.........................",
".+.++++......++++.+....+.......+.....+.....+..+....++....++.....++......+...+.....+....+.......+.....+............+.........+.........+.........................",
".+................+....+........+++++.......++......+++++.+.....++......+...+....+......+......+.....++++++++.....+.........+.........+.........................",
".+................+...........................................................................+...................+.........+.........+.........................",
".+................+.........................................................................++.....................++.......+.......++..........................",
"................................................................................................................................................................",
"...+++.......+++.......+++.......+++.......+++.......+++.......+++.......+++........+++.......+++.......+++.......+++.......+++.......+++.......+++.......+++...",
"..+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++......+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++..",
"..+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++......+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++.....+++++..",
"...+++.......+++.......+++.......+++.......+++.......+++.......+++.......+++........+++.......+++.......+++.......+++.......+++.......+++.......+++.......+++...",
"....+.........+.........+.........+.........+.........+.........+.........+..........+.........+.........+.........+.........+.........+.........+.........+....",
"...+++.......+++.......+++.......+++.......+++.......+++.......+++.......+++........+++.......+++.......+++.......+++.......+++.......+++.......+++.......+++...",
"..+.+.+.....+.++......+.++......+.++......+.++......++++.......+++.......++.+......+.+.+......++.+......++.+......++.+......++.+......++++......+++......+.++...",
"..+.+..+....+.+.+.....+.+.+....+..+.+.....+.+.+.....+.+.+......++.+......++.+.....+..+.+.....+.+.+.....+.+.+.....+.+..+....+.+.+.....+.+.+.....+.++......+.++...",
"...++...++.+..+..+...+..+..+..+...+..+....+.+.+.....+.+.+......++..+.....++..+..++...++.....+..+..+...+..+..+...+..+...+...+.+.+.....+.+.+....+..++.....+..++...",
"....+......+..+...+..+..+...+.+...+...+...+.+..+....+.++.+.....+++.+.....++...+......+.....+...+..+..+...+..+..+...+...+..+..+.+....+.++.+....+.+++....+...++...",
"....++........++........++........++........++........+.+.......++........++........++........++........++........++........++.......+.+........++........++....",
"...+..+......+.+.......+..+.......++........++........+.+......++.+......++.+......+..+.......+.+......+..+.......++........++.......+.+.......+.++......+.++...",
"..+...+.....+...+.....+...+.......+.+......++.........++.......+..+......+..+......+...+.....+...+.....+...+.....+.+.........++.......++.......+..+......+..+...",
"..+....+...+....+....+.....+..+++++.+...+++.+........+++.......+.+......+....+....+....+.....+....+...+.....+....+.+++++.....+.+++....+++.......+.+.....+....+..",
".+......+.+......+..+.....+...+....+....+...+........+........+..++....+.....++..+......+...+......+...+.....+....+....+.....+...+......+......++..+...++.....+.",
".++.....++++......++.+....++.......++.......++.......++.......++.......++.......++.....++.++......++..++....+....++.........++.........++.........++.........++.",
"....++.......+....+.................................................................++.......+....+.......................+....+................................",
"....++......+....+++.+++++..........+...++++++++++...+..........+++++..+....+.......++......+....+++.+++++..........+...++++++++++...+..........+++++..+....+...",
"....++.....+....+++..++...........++++..++++++++++..++++...........++.+++....+......++.....+....+++..++..........+++++..++++++++++..+++++..........++.+++....+..",
"....++....++..++++...+++.........+++..+.+.++++++.+.+..+++.........+++..+++....+.....++....++..++++..++++.........+++..+.+.++++++.+.+..+++.........++++.+++....+.",
"+..++++..+.++++++....+++++......++++...++..++++..++...++++......+++++...++++..+++..++++..+.++++++....+++++.....+++++...++..++++..++...+++++.....+++++...++++..++",
"+..++++..+.++++++....+++++++++.++++++...+..++++..+...++++++.+++++++++....++++++.+..++++..+.++++++....+++++++++.++++++...+..++++..+...++++++.+++++++++....++++++.",
"+.++++++.+..++++...+.+++++++++.++++++.......++.......++++++.+++++++++....++++++.+.++++++.+.+++++...+.+++++++++.++++++.......++.......++++++.+++++++++....++++++.",
"++++++++++...+++..+..+++++....++..++++......++......++++..++....+++++.+...++++..++++++++++...+++..+..+++++....++..++++......++......++++..++....+++++.+...+++++.",
"++++++++++....++++...+++.......+....+++.....++.....+++....+.......+++..+..+++...++++++++++...+++++..++++.......+....+++.....++.....+++....+.......++++.+..+++...",
"................+....++.........+....+++....++....+++....+.........++...++++......+....+........+....++.........+....+++....++....+++....+.........++...+++++...",
".....................+++++.......+....+............+....+.......+++++....+...........................+++++.......+....+............+....+.......+++++....+......",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"....++........+..++................+.....+.++++.+.....+................++..+........++.......++...+......++.....+..........++++..........+.....++......+...++...",
"...++++......++.+++++++..+++.....+.++....++++++++....++.+.....+++..+++++++.++.......++.......+++.+++.....++....++...........++...........++....++.....+++.+++...",
".+.++++.+......+++++.+....+.....+++......+.++++.+......+++.....+....+.+++++.........++........+++++......++...++++..........++..........++++...++......+++++....",
".++++++++..+..+++++.+++++++++..+++++..+....++++....+..+++++..+++++++++.+++++..+.++++++++++.....+++..+....++.....+++...++....++....++...+++.....++....+..+++.....",
".+.++++.+.++.+++++..++++++++++..+++++.++...++++...++.+++++..++++++++++..+++++.++++++++++++....+++++.++++++++++...+++.+++....++....+++.+++...++++++++++.+++++....",
"...++++.....+++++.++++++++++++++.+++++...+.++++.+...+++++.++++++++++++++.+++++......++.......+++.+++++++++++++....+++++.++++++++++.+++++....+++++++++++++.+++...",
"...++++....+++++..+.+++++++++..+..+++++..++++++++..+++++..+..+++++++++.+..+++++.....++......+++...+++....++........+++..++++++++++..+++........++....+++...+++..",
".+.++++.+...+++......+....+........+++++.+.++++.+.+++++........+....+......+++......++....++++...........++.......+++++.....++.....+++++.......++...........++++",
".++++++++....+.++...+++..+++.....++.++++...++++...++++.++.....+++..+++...++.+.......++.....++............++......+++.+++....++....+++.+++......++............++.",
".+.++++.+......+..................+..++.....++.....++..+..................+........++++.....+............++......++...+.....++.....+...++......++............+..",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"++++++.+++++++++.+++++++++.+++++++++.+++......+.........+.........+.........+...................................................................................",
"++++++.+++++++++.+++++++++.++++........+......+.........+.........+....++++++++.................................................................................",
"++++++.+++++++++.+++++++++.++++.++++++.+......+.........+.........+....+......+.................................................................................",
".................................++++...+++++++++++++++++++++++++++++++++....+++................................................................................",
"+++.+++++++++.+++++++++.++++++++.++++.++...+.........+.........+........+....+..................................................................................",
"+++.++++++++......+++........+++.++++.++...+........++++++...++++++++...+....+..................................................................................",
"+++.++++++++......+++........+++.++++.++...+........++++++...++++++++...+....+..................................................................................",
".................................++++...+++++++++++++++++++++++++++++++++....+++................................................................................",
"++++++.+++++......+++........+++.++++.++......+.....++++++...++++++++...+....+..................................................................................",
"++++++.+++++......+++........+++.++++.++......+.....++++++...++++++++...+....+..................................................................................",
"++++++.+++++....+.++++++++.+++++.++++.++......+.....++++.+........+.....+....+..................................................................................",
".................................++++...+++++++++++++++++++++++++++++++++....+++................................................................................",
"+++.++++++++......+++++.++++++++.++++.++...+........++++++.....+........+....+..................................................................................",
"+++.++++++++......+++++.++++++++.++++.++...+........++++++.....+........+....+..................................................................................",
"+++.++++++++......+++++.++++++++.++++.++...+........++++++.....+........+....+..................................................................................",
".................................++++...+++++++++++++++++++++++++++++++++....+++................................................................................",
"...++++................++++......++++......++++................++++......++++..........................++++..............................................++++...",
"...++++................++++......++++......++++................++++......++++..........................++++..............................................++++...",
"...++++................++++......++++......++++................++++......++++..........................++++..............................................++++...",
"...++++................++++......++++......++++................++++......++++..........................++++..............................................++++...",
"...++++................++++......++++......++++................++++......++++..........................++++..............................................++++...",
"...++++................++++......++++......++++................++++......++++..........................++++..............................................++++...",
"...++++...+++++++++++++++++......++++++++++++++++++++++++++++++++++......++++++++++++++......+++++++...++++......++++...+++++++......+++++++...++++...++++++++++",
"...++++...+++++++++++++++++......++++++++++++++++++++++++++++++++++......++++++++++++++......+++++++...++++......++++...+++++++......+++++++...++++...++++++++++",
"...++++...+++++++++++++++++......++++++++++++++++++++++++++++++++++......++++++++++++++......+++++++...++++......++++...+++++++......+++++++...++++...++++++++++",
"...++++...+++++++++++++++++......++++++++++++++++++++++++++++++++++......++++++++++++++......+++++++...++++......++++...+++++++......+++++++...++++...++++++++++",
"...++++................++++......++++................++++..........................++++......++++................++++....................................++++...",
"...++++................++++......++++................++++..........................++++......++++................++++....................................++++...",
"...++++................++++......++++................++++..........................++++......++++................++++....................................++++...",
"...++++................++++......++++................++++..........................++++......++++................++++....................................++++...",
"...++++................++++......++++................++++..........................++++......++++................++++....................................++++...",
"...++++................++++......++++................++++..........................++++......++++................++++....................................++++...",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................",
"................................................................................................................................................................"};






/*****************************************************************************
 *
 * FixedPrint_Setup - Setup the Blit Rectangles and load the XPM into the Font
 * Surface.  Should be called after SDL_Init, and before FixedPrint()
 *
 *****************************************************************************/
void FixedPrint_Setup()
  {
  int i;
  SDL_Color colors[2];
	SDL_Surface* temp;

	temp = IMG_ReadXPMFromArray(small_terminal_xpm);
	SDL_SetColorKey(temp, SDL_TRUE, SDL_MapRGB(temp->format, 0,0,0));
	FixedPrint_small_surface = SDL_CreateTextureFromSurface(renderer, temp);
	free(temp);
  
	temp = IMG_ReadXPMFromArray(mid_terminal_xpm);
	SDL_SetColorKey(temp, SDL_TRUE, SDL_MapRGB(temp->format, 0,0,0));
	FixedPrint_mid_surface = SDL_CreateTextureFromSurface(renderer, temp);
	free(temp);
  
	temp = IMG_ReadXPMFromArray(big_terminal_xpm);
	SDL_SetColorKey(temp, SDL_TRUE, SDL_MapRGB(temp->format, 0,0,0));
	FixedPrint_big_surface = SDL_CreateTextureFromSurface(renderer, temp);
	free(temp);
  
  for (i=0; i < 256; i++)
    {
    FixedPrint_small_lrect[i].x = (i % 16) * 6;
    FixedPrint_small_lrect[i].y = (i / 16) * 10;
    FixedPrint_small_lrect[i].w = 6;
    FixedPrint_small_lrect[i].h = 10;
    
    FixedPrint_mid_lrect[i].x = (i % 16) * 8;
    FixedPrint_mid_lrect[i].y = (i / 16) * 13;
    FixedPrint_mid_lrect[i].w = 8;
    FixedPrint_mid_lrect[i].h = 13;
    
    FixedPrint_big_lrect[i].x = (i % 16) * 10;
    FixedPrint_big_lrect[i].y = (i / 16) * 16;
    FixedPrint_big_lrect[i].w = 10;
    FixedPrint_big_lrect[i].h = 16;
    }
  }

// I have not yet been updated for the three surfaces!!!!
void SmallFixedPrint(SDL_Renderer* where, int x, int y, char* what, SDL_Color *fg)
  {
  char* ptr;
  SDL_Rect box;
  
  ptr = what;
  
  box.x = x;  box.y = y;
  box.w = 6;
  box.h = 10;
  
	SDL_SetTextureColorMod(FixedPrint_small_surface, fg->r, fg->g, fg->b);
  
  while (*ptr != '\0')
    {
		SDL_RenderCopy(where, FixedPrint_small_surface, 
								&FixedPrint_small_lrect[(unsigned char)*ptr], &box);
    box.x += 6;
    ptr++;
    }
  }

void MidFixedPrint(SDL_Renderer* where, int x, int y, char* what, SDL_Color *fg)
  {
  char* ptr;
  SDL_Rect box;
  
  ptr = what;
  
  box.x = x;  box.y = y;
  box.w = 8;
  box.h = 13;
  
	SDL_SetTextureColorMod(FixedPrint_mid_surface, fg->r, fg->g, fg->b);
  
  while (*ptr != '\0')
    {
		SDL_RenderCopy(where, FixedPrint_mid_surface, 
								&FixedPrint_mid_lrect[(unsigned char)*ptr], &box);
    box.x += 8;
    ptr++;
    }
  }
void BigFixedPrint(SDL_Renderer* where, int x, int y, char* what, SDL_Color *fg)
  {
  char* ptr;
  SDL_Rect box;
  
  ptr = what;
  
  box.x = x;  box.y = y;
  box.w = 10;
  box.h = 16;
  
	SDL_SetTextureColorMod(FixedPrint_big_surface, fg->r, fg->g, fg->b);
  
  while (*ptr != '\0')
    {
		SDL_RenderCopy(where, FixedPrint_big_surface, 
								&FixedPrint_big_lrect[(unsigned char)*ptr], &box);
    box.x += 10;
    ptr++;
    }
  }


void FixedPrint(SDL_Renderer* where, int x, int y, char* what, SDL_Color *fg, int size)
  {
  if (size == 0) SmallFixedPrint(where, x, y, what, fg);
  if (size == 1) MidFixedPrint(where, x, y, what, fg);
  if (size == 2) BigFixedPrint(where, x, y, what, fg);
  }
